import request from '@/utils/wms-request'

// 查询盘点作业明细列表
export function listInvJobDetail(query) {
  return request({
    url: '/stock/invJobDetail/list',
    method: 'get',
    params: query
  })
}

// 查询盘点作业明细详细
export function getInvJobDetail(id) {
  return request({
    url: '/stock/invJobDetail/' + id,
    method: 'get'
  })
}

// 新增盘点作业明细
export function addInvJobDetail(data) {
  return request({
    url: '/stock/invJobDetail',
    method: 'post',
    data: data
  })
}

// 修改盘点作业明细
export function updateInvJobDetail(data) {
  return request({
    url: '/stock/invJobDetail',
    method: 'put',
    data: data
  })
}

// 删除盘点作业明细
export function delInvJobDetail(id) {
  return request({
    url: '/stock/invJobDetail/' + id,
    method: 'delete'
  })
}
